
QGIS Application - Bug report #15154

Dissolve fails as nElement is not initialised

2016-06-28 12:52 AM - Andrew Brown

Status: Closed

Priority: Normal

Assignee:

Category: Unknown

Affected QGIS version:2.14.3 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 23093

Description

Relates to previous bug report 14612

Dissolve.py line 129 fails as nElement is not initialised. If fixed it by initialising nElement to 0.

To reproduce create a model which does a dissolve with Dissolve all set to No and specifying a field name.

QGIS 2.14.3 Windows 64 bit

Associated revisions

Revision 0b502c90 - 2016-06-28 12:00 PM - Alexander Bruy

[processing] add missed variable initialization (fix #15154)

History

#1 - 2016-06-28 03:01 AM - Alexander Bruy

- Status changed from Open to Closed

Fixed in changeset commit:"0b502c90a904f2e21f71dd5c535128da2041c66f".

#2 - 2017-09-22 09:55 AM - Jürgen Fischer

- Category set to Unknown
